Subject: Re: Linking static library from Mingw32 with Visual C++
From: "Danny Smith" <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Fri, 04 Aug 2000 09:23:57 NZST

>
>I don't think you can a statlib created by cygwin's gcc -mno-cygwin
>using MSVC. Perhaps mingw can create MSVC-compatible libs, but I doubt
>it.
>
>--Chuck
>
Yes can link against mingw-built (C and Fortran, *not* C++)  static libs 
with MSVC, but be careful to link against MS DLL runtime (either msvcrt.dll 
or crtdll.dll, depending on your mingw build) and not the MS static runtime 
libs.  Also may need to link against libgcc.a (in MSVC) to  resolve symbols 
that live there (like the builtin gcc functions).

Regards
Danny

________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]